

package plecakbfs;

import java.util.ArrayList;
import java.util.Arrays;

/**
 * Węzeł dla problemu plecakowego
 * @author Mateusz Łyczek
 */
public class PlecakNode {

	/** poziom węzła w drzewie przestrzeni stanów */
	private int poziom;
	/** wartość rzeczy zabranych do plecaka do tej pory */
	private int profit;
	/** waga rzeczy zabranych do plecaka do tej pory */
	private int waga;
	/** lista rzeczy zabranych do plecaka do tej pory */
	private ArrayList<Integer> items;

	public PlecakNode() {
		poziom = 0;
		profit = 0;
		waga = 0;
		items = new ArrayList<Integer>();
	}

	public int getPoziom() {
		return poziom;
	}

	public void setPoziom(int poziom) {
		this.poziom = poziom;
	}

	public int getProfit() {
		return profit;
	}

	public void setProfit(int profit) {
		this.profit = profit;
	}

	public int getWaga() {
		return waga;
	}

	public void setWaga(int waga) {
		this.waga = waga;
	}

	public void addItem(int item) {
		items.add(item);
	}

	public void setItems(Integer[] itms) {
		items.clear();
		items.addAll(Arrays.asList(itms));
	}

	public Integer[] getItems() {
		return items.toArray(new Integer[] {});
	}

	@Override
	public String toString() {
		return poziom + ") " + waga + "g / " + profit + " zł";
	}
}
